GET /v2/videos/generations/
Method: GETEndpoint: /v2/videos/generations/{task_id}
Unified Interface Format status enum: NOT_START: Not started IN_PROGRESS: Running SUCCESS: Completed FAILURE : Failure
Request Parameters
Path Parameters
text
task_id
string
RequiredHeader Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Example Request
Shell
bash
curl --location --request GET '/v2/videos/generations/' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"task_id": "e7bed961-d1b9-4b3f-8ef9-5f441bde28c8",
"platform": "alibaba",
"status": "SUCCESS",
"fail_reason": "",
"submit_time": 1756349509,
"finish_time": 1756349945,
"progress": "100%",
"data": {
"output": "https://dashscope-result-hz.oss-cn-hangzhou.aliyuncs.com/1d/b6/20250828/4fb68392/e7bed961-d1b9-4b3f-8ef9-5f441bde28c8.mp4?Expires=1756435926&OSSAccessKeyId=LTAI5tKPD3TMqf2Lna1fASuh&Signature=YcdFpAPjRL%2FyI3Y6Rbv74GVN0Oc%3D",
// provider-specific example normalized for English documentation
// provider-specific example normalized for English documentation
},
"search_item": ""
}